REBOOT(8) | System Manager's Manual | REBOOT(8)

# NAME

`reboot`, `poweroff`, `halt` — restarting, powering down and stopping the system

# SYNOPSIS

`halt` | [`-dlnpqvxz`]

`poweroff` | [`-dlnqvxz`]

`reboot` | [`-dlnqvxz`] [arg ...]

# DESCRIPTION

The `poweroff`, `halt` and `reboot` utilities flush the file system cache to disk, send all running processes a `SIGTERM`, wait for up to 30 seconds for them to die, send a `SIGKILL` to the survivors and, respectively, power down, halt or restart the system. The action is logged, including entering a shutdown record into the login accounting file and sending a message via syslog(3).

The options are as follows:

`-d`
  Create a dump before halting or restarting. This option is useful for debugging system dump procedures or capturing the state of a corrupted or misbehaving system.
`-l`
  Suppress sending a message via syslog(3) before halting or restarting.
`-n`
  Do not flush the file system cache. This option should be used with extreme caution. It can be used if a disk or a processor is on fire.
`-p`
  Attempt to powerdown the system. If the powerdown fails, or the system does not support software powerdown, the system will halt. This option is only valid for `halt`.
`-v`
  To enable verbose messages on the console, pass the boothowto(9) flag `AB_VERBOSE` to reboot(2).
`-x`
  To enable debugging messages on the console, pass the boothowto(9) flag `AB_DEBUG` to reboot(2).
`-z`
  To silence some shutdown messages on the console, pass the boothowto(9) flag `AB_SILENT` to reboot(2).
`-q`
  Do not give processes a chance to shut down before halting or restarting. This option should not normally be used.

If there are any arguments passed to `reboot` they are concatenated with spaces and passed as bootstr to the reboot(2) system call. The string is passed to the firmware on platforms that support it.

Normally, the shutdown(8) utility is used when the system needs to be halted or restarted, giving users advance warning of their impending doom.

# SEE ALSO

reboot(2), syslog(3), utmp(5), boot(8), init(8), rescue(8), shutdown(8), sync(8)

# HISTORY

A `reboot` command appeared in 4.0BSD.

The `poweroff` command first appeared in NetBSD 1.5.

# CAVEATS

Once the command has begun its work, stopping it before it completes will probably result in a system so crippled it must be physically reset. To prevent premature termination, the command blocks many signals early in its execution. However, nothing can defend against deliberate attempts to evade this.

This command will stop the system without running any shutdown(8) scripts. Amongst other things, this means that swapping will not be disabled so that raid(4) can shutdown cleanly. You should normally use shutdown(8) unless you are running in single user mode.

# BUGS

The single user shell will ignore the `SIGTERM` signal. To avoid waiting for the timeout when rebooting or halting from the single user shell, you have to `exec reboot` or `exec halt`.

September 12, 2016 | NetBSD 11.99